
Figure - Bug #115535
【AF】【EVT3】【音乐】进入文件管理器，选择设备中的一首音乐，点击播放后音乐进度条会卡顿异常跳转
一下之后才正常播放
2023-01-30 14:18 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-30

Priority: Normal Due date: 2023-02-04

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202301191306

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-04

Test Type: ST Root cause: 问题原因：��MediaPlay数据异常，导致UI异常跳动��问题处理：��数据检查，过滤异常数据��

Description

【前提条件】

1.设备刷机 启动

【测试步骤】

1.push一首mp3 到设备中

2.进入文件->找到对应的音乐文件

3.点击播放

4.查看播放行为

【预期结果】

4.可以正常播放，进度条从零开始

【实际结果】

4.可以正常播放，但进度条会卡顿异常跳转一下之后才正常播放

Others：

第一次打开复现，第二次点击播放之后恢复正常

通过任务管理器清空后台再次进入可以继续复现

History

#1 - 2023-01-30 14:58 - CD APP-王营

- Due date set to 2023-02-04

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-02-01 10:37 - CD APP-王营

- Assignee changed from CD APP-王宏 to CD FW王武军

#3 - 2023-02-01 17:20 - CD FW王武军

■ 当前状态

1）明确了问题的现象；

2）我在对应的版本上并未复现该问题，与测试沟通发现该问题在一台设备上确实存在问题，在其他设备也未复现问题

■ 分析情况

目前在分析该操作涉及的代码逻辑，只能从怀疑的地方尝试进行分析，并添加了部分日志让测试帮忙在复现问题的设备上
进行测试和抓取日志，看能够在日志中找到一些蛛丝马迹

■ 计划策略

分析代码逻辑寻找突破点，让测试帮忙复现并定位问题。

#4 - 2023-02-02 18:32 - CD FW王武军

■ 当前状态

借助测试的设备，反复测试找到问题点：在播放音乐时，seekbar进度的更新受到MediaPlayer的native数据影响，

错误的数据导致了，ui的异常跳动。从逻辑来看，可能是底层播放数据的异常，但是从音乐的播放过程来看，虽然数据有异常，

但是音乐的播放是正常的，所以从表现来看UI的异常是主要问题。

处理策略：

检查MediaPlay的进度数据，数据如有异常，不用当前数据更新UI。

#5 - 2023-02-03 09:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179047 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:SnapdragonMusic: Fix AudioPreview ui errorAdd logic to check the audio position,if datais wrong,don't update ui.TC-RID: 1201-0301201IssueID:

TS-R-BUG-115535Change-Id: Iac53a5b4b54135381a49280e5d0c092ed666eac3

#6 - 2023-02-03 09:44 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Fixed Version set to 2023-02-04

- Root cause set to 问题原因：

MediaPlay数据异常，导致UI异常跳动

问题处理：

数据检查，过滤异常数据

#7 - 2023-02-07 20:48 - 移动测试一组_CDTS 刘强

- File 20230207-204806.mp4 added

- Status changed from RESOLVED to VERIFIED

测试版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

验证结果：验证通过

#8 - 2023-02-07 20:48 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

music.txt 5.92 MB 2023-01-30 移动测试一组_CDTS 刘强
20230130-141617.mp4 1.37 MB 2023-01-30 移动测试一组_CDTS 刘强

20230207-204806.mp4 815 KB 2023-02-07 移动测试一组_CDTS 刘强
